{
	"patcher" : 	{
		"fileversion" : 1,
		"appversion" : 		{
			"major" : 5,
			"minor" : 1,
			"revision" : 9
		}
,
		"rect" : [ 72.0, 57.0, 699.0, 500.0 ],
		"bglocked" : 0,
		"defrect" : [ 72.0, 57.0, 699.0, 500.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "[ezadc~] and [ezdac~] provide a graphical switch for your audio ins and outs.",
					"linecount" : 4,
					"fontsize" : 12.0,
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 394.0, 419.0, 150.0, 62.0 ],
					"id" : "obj-26"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "[number~]",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 63.0, 334.0, 0.0, 0.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 60.0, 336.0, 150.0, 20.0 ],
					"id" : "obj-24"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "[scope~]",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 74.0, 261.0, 0.0, 0.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 74.0, 258.0, 150.0, 20.0 ],
					"id" : "obj-23"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "[meter~]",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 86.0, 140.0, 0.0, 0.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 73.0, 133.0, 150.0, 20.0 ],
					"id" : "obj-20"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "[levelmeter~]",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 180.0, 139.0, 150.0, 20.0 ],
					"id" : "obj-19"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"numinlets" : 1,
					"presentation_rect" : [ 594.0, 213.0, 80.0, 13.0 ],
					"numoutlets" : 1,
					"patching_rect" : [ 600.0, 210.0, 80.0, 13.0 ],
					"presentation" : 1,
					"outlettype" : [ "float" ],
					"id" : "obj-15"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Ins, outs, and monitoring along the way.\n\nOnce you have a way to get the sound of your instrument into max you are free to do whatever you can imagine (or accidently discover) with it.\n\nTo make it easier though, it is a good idea to have a little bit of monitoring along the way.  This way you have an easy way to see where things are going wrong in your signal chain.\n\nI prefer a simple [meter~] object,\nhowever there's many others available, as you can see.\n",
					"linecount" : 14,
					"fontsize" : 12.0,
					"numinlets" : 1,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 420.0, 60.0, 277.0, 213.0 ],
					"id" : "obj-10"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Digital to Analog Converter",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 101.0, 438.0, 166.0, 20.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 120.0, 435.0, 166.0, 20.0 ],
					"presentation" : 1,
					"id" : "obj-6"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "ezdac~",
					"numinlets" : 2,
					"numoutlets" : 0,
					"patching_rect" : [ 345.0, 435.0, 45.0, 45.0 ],
					"id" : "obj-5"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "dac~",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 435.0, 37.0, 20.0 ],
					"id" : "obj-1"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number~",
					"fontsize" : 12.0,
					"mode" : 2,
					"numinlets" : 2,
					"presentation_rect" : [ 165.0, 225.0, 61.0, 20.0 ],
					"numoutlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 210.0, 315.0, 61.0, 20.0 ],
					"presentation" : 1,
					"outlettype" : [ "signal", "float" ],
					"id" : "obj-22",
					"sig" : 0.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number~",
					"fontsize" : 12.0,
					"mode" : 2,
					"numinlets" : 2,
					"presentation_rect" : [ 15.0, 225.0, 143.0, 20.0 ],
					"numoutlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 60.0, 315.0, 143.0, 20.0 ],
					"presentation" : 1,
					"outlettype" : [ "signal", "float" ],
					"id" : "obj-21",
					"sig" : 0.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "scope~",
					"numinlets" : 2,
					"presentation_rect" : [ 15.0, 165.0, 265.0, 46.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 75.0, 210.0, 265.0, 46.0 ],
					"presentation" : 1,
					"id" : "obj-18"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "scope~",
					"numinlets" : 2,
					"presentation_rect" : [ 15.0, 120.0, 265.0, 46.0 ],
					"numoutlets" : 0,
					"patching_rect" : [ 75.0, 165.0, 265.0, 46.0 ],
					"presentation" : 1,
					"id" : "obj-17"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "levelmeter~",
					"numinlets" : 1,
					"presentation_rect" : [ 180.0, 75.0, 71.0, 35.5 ],
					"numoutlets" : 1,
					"patching_rect" : [ 255.0, 105.0, 71.0, 35.5 ],
					"presentation" : 1,
					"outlettype" : [ "int" ],
					"id" : "obj-13"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "levelmeter~",
					"numinlets" : 1,
					"presentation_rect" : [ 105.0, 75.0, 71.0, 35.5 ],
					"numoutlets" : 1,
					"patching_rect" : [ 180.0, 105.0, 71.0, 35.5 ],
					"presentation" : 1,
					"outlettype" : [ "int" ],
					"id" : "obj-12"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"numinlets" : 1,
					"presentation_rect" : [ 15.0, 90.0, 80.0, 13.0 ],
					"numoutlets" : 1,
					"patching_rect" : [ 75.0, 120.0, 80.0, 13.0 ],
					"presentation" : 1,
					"outlettype" : [ "float" ],
					"id" : "obj-9"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"numinlets" : 1,
					"presentation_rect" : [ 15.0, 75.0, 80.0, 13.0 ],
					"numoutlets" : 1,
					"patching_rect" : [ 75.0, 105.0, 80.0, 13.0 ],
					"presentation" : 1,
					"outlettype" : [ "float" ],
					"id" : "obj-8"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"presentation_rect" : [ 15.0, 45.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"patching_rect" : [ 15.0, 15.0, 20.0, 20.0 ],
					"presentation" : 1,
					"outlettype" : [ "int" ],
					"id" : "obj-7"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Analog to Digital Converter",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 105.0, 45.0, 166.0, 20.0 ],
					"numoutlets" : 0,
					"fontname" : "Arial",
					"patching_rect" : [ 120.0, 45.0, 166.0, 20.0 ],
					"presentation" : 1,
					"id" : "obj-4"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "ezadc~",
					"numinlets" : 1,
					"presentation_rect" : [ 315.0, 15.0, 45.0, 45.0 ],
					"numoutlets" : 2,
					"patching_rect" : [ 345.0, 45.0, 45.0, 45.0 ],
					"presentation" : 1,
					"outlettype" : [ "signal", "signal" ],
					"id" : "obj-3"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "adc~",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"presentation_rect" : [ 45.0, 45.0, 37.0, 20.0 ],
					"numoutlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 45.0, 37.0, 20.0 ],
					"presentation" : 1,
					"outlettype" : [ "signal", "signal" ],
					"id" : "obj-2"
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-3", 1 ],
					"destination" : [ "obj-5", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 1 ],
					"destination" : [ "obj-1", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [ 24.5, 84.5, 84.5, 84.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 1 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [ 42.5, 92.0, 84.5, 92.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [ 24.5, 84.5, 189.5, 84.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 1 ],
					"destination" : [ "obj-13", 0 ],
					"hidden" : 0,
					"midpoints" : [ 42.5, 84.5, 264.5, 84.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [ 24.5, 155.5, 84.5, 155.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 1 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [ 42.5, 206.0, 84.5, 206.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [ 24.5, 293.5, 69.5, 293.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 1 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [ 42.5, 294.5, 219.5, 294.5 ]
				}

			}
 ]
	}

}
